<?php
/**
 * Twenty Seventeen: Customizer
 */

if ( ! function_exists( 'zenfire_customize_register' ) ) :
	/**
	 * Add postMessage support for site title and description for the Theme Customizer.
	 *
	 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
	 */
	function zenfire_customize_register( $wp_customize ) {

		/**
		 * Add Footer Section
		 */
		$wp_customize->add_section(
			'zenfire_footer_section',
			array(
				'title'       => __( 'Footer', 'zenfire' ),
				'capability'  => 'edit_theme_options',
			)
		);
		
		// Add Footer Copyright Text
		$wp_customize->add_setting(
			'zenfire_footer_copyright',
			array(
			    'default'           => '',
			    'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'zenfire_footer_copyright',
	        array(
	            'label'          => __( 'Copyright Text', 'zenfire' ),
	            'section'        => 'zenfire_footer_section',
	            'settings'       => 'zenfire_footer_copyright',
	            'type'           => 'text',
	            )
	        )
		);
	}
endif; // zenfire_customize_register
add_action( 'customize_register', 'zenfire_customize_register' );

if ( ! function_exists( 'zenfire_sanitize_checkbox' ) ) :
	/**
	 * Sanitization callback for 'checkbox' type controls. This callback sanitizes `$checked`
	 * as a boolean value, either TRUE or FALSE.
	 *
	 * @param bool $checked Whether the checkbox is checked.
	 * @return bool Whether the checkbox is checked.
	 */
	function zenfire_sanitize_checkbox( $checked ) {
		// Boolean check.
		return ( ( isset( $checked ) && true == $checked ) ? true : false );
	}
endif; // zenfire_sanitize_checkbox